iterator.hpp File Reference

Some special kind of iterators. As an example: iterator on the keys of a map. More...

`#include <iterator>`

Go to the source code of this file.

## Classes

class | claw::wrapped_iterator_by_category< Category, Value, Iterator, Function >
| Base class for wrapped iterators. More...
class | claw::wrapped_iterator_by_category< std::forward_iterator_tag, Value, Iterator, Function >
| Base class for wrapped iterators, specialized for forward iterators. More...
class | claw::wrapped_iterator_by_category< std::bidirectional_iterator_tag, Value, Iterator, Function >
| Base class for wrapped iterators, specialized for bidirectional iterators. More...
class | claw::wrapped_iterator_by_category< std::random_access_iterator_tag, Value, Iterator, Function >
| Base class for wrapped iterators, specialized for random iterators. More...
class | claw::wrapped_iterator< Value, Iterator, Function >
| This class defines an iterator resulting of the appliance of a function to an effective iterator. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Functions

template<typename Value, typename Iterator, typename Function>
wrapped_iterator_by_category< std::random_access_iterator_tag, Value, Iterator, Function > | claw::operator+ (int n, const wrapped_iterator_by_category< std::random_access_iterator_tag, Value, Iterator, Function > &it)
template<typename Value, typename Iterator, typename Function>
wrapped_iterator_by_category< std::random_access_iterator_tag, Value, Iterator, Function > | claw::operator- (int n, const wrapped_iterator_by_category< std::random_access_iterator_tag, Value, Iterator, Function > &it)

## Detailed Description

Some special kind of iterators. As an example: iterator on the keys of a map.

Author
  Julien Jorge

Definition in file iterator.hpp.